Skip to main content
DELETE
/
recordings
/
{recording_id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const recording = await client.recordings.delete('recording_id');

console.log(recording.data);
{ "data": { "call_control_id": "v3:e-31OnvjEM7Y4wvxr3TKNk8M3QyLcGZPiUIzCGtwQtOtEjY-B0urkw", "call_leg_id": "84a97d76-e40f-11ed-9074-02420a0daa69", "call_session_id": "84a97d76-e40f-11ed-9074-02420a0daa69", "channels": "dual", "conference_id": "84a97d76-e40f-11ed-9074-02420a0daa69", "created_at": "2018-02-02T22:25:27.521Z", "download_urls": { "mp3": "<string>", "wav": "<string>" }, "duration_millis": 60000, "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "record_type": "recording", "recording_started_at": "2019-01-23T18:10:02.574Z", "recording_ended_at": "2019-01-23T18:10:02.574Z", "source": "conference", "status": "completed", "from": "+15551234567", "to": "+15557654321", "connection_id": "175237942907135762", "initiated_by": "StartCallRecordingAPI", "updated_at": "2018-02-02T22:25:27.521Z" } }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

recording_id
string
required

Uniquely identifies the recording by id.

Response

A response with a single recording resource.

data
RecordingResponseData · object